import App from './App'

// #ifndef VUE3
import Vue from 'vue'
import tmVuetify from "./tm-vuetify";
import point from '@/js/point.js'
Vue.use(tmVuetify)
Vue.prototype.$onLaunched = new Promise(resolve => {
    Vue.prototype.$isResolve = resolve
})
Vue.config.productionTip = false
App.mpType = 'app'
Vue.prototype.$point = point;
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
